Katello - Bug #6049

Subscription and repositories pages show Katello in page title
06/03/2014 08:35 PM - Christine Fouant

Status: Closed

Priority: Normal

Assignee: Christine Fouant

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1099469 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1099469
1. Select Content -> 'Red Hat Subscriptions' : Title shows katello
2. Select Content -> 'Red Hat Repositories' : Title shows katello

++ This bug was initially created as a clone of Bug #965320 ++

Description of problem:
The page titles (i.e. <title>) are inconsistent with the Katello/Content half of the application.

On the Katello Dashboard it reads "Red Hat Satellite 6 - Content and Entitlement" (though doesn't appear to change across pages)
On the Foreman Dashboard it reads "Welcome" (and changes based on the page)

Version-Release number of selected component (if applicable):
foreman-1.1.10002-29.noarch
katello-1.4.2-6.el6sat.noarch
katello-all-1.4.2-6.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-certs-tools-1.4.2-2.el6sat.noarch
katello-cli-1.4.2-5.el6sat.noarch
katello-cli-common-1.4.2-5.el6sat.noarch
katello-common-1.4.2-6.el6sat.noarch
katello-configure-1.4.3-9.el6sat.noarch
katello-configure-foreman-1.4.3-9.el6sat.noarch
katello-foreman-all-1.4.2-6.el6sat.noarch
katello-glue-candlepin-1.4.2-6.el6sat.noarch
katello-glue-elasticsearch-1.4.2-6.el6sat.noarch
katello-glue-pulp-1.4.2-6.el6sat.noarch
katello-gpid-broker-key-pair-1.0-1.noarch
katello-gpid-client-key-pair-1.0-1.noarch
katello-selinux-1.4.3-3.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:
1. Load Katello dashboard and check the title
2. Load Foreman dashboard and check the title

Actual results:
Katello Dashboard reads "Red Hat Satellite 6 - Content and Entitlement"
Foreman Dashboard reads "Welcome"

Expected results:
Similar titles, preferably branded as per the product component names.
https://bugzilla.redhat.com/show_bug.cgi?id=1099469

--- Additional comment from Dominic Cleal on 2013-10-02 11:40:02 BST ---
To be handled as a downstream-only patch.

--- Additional comment from Mike McCune on 2013-10-17 21:59:37 BST ---
Moving this to be tested during MDP3, not critical for MDP2 success story
--- Additional comment from Sachin Ghai on 2014-05-13 10:11:00 BST ---
Verified with Satellite 6 Beta Snap 4 (Satellite-6.0.3-RHEL-6-20140508.1)

| checked titles for almost all product component names. And Ul shows same as the product component name is. Like if | select
'Sync Plans' the page title shows 'Sync Plans'

However, | found some inconsistency with following three components selection:
1. Select Monitor --> Statistics: In this case Page title should show 'Statistics'
However Ul shows: https:<hostname>/Statistics

2. Select Content -> 'Red Hat Subscriptions' : Title shows katello
3. Select Content -> 'Red Hat Repositories' : Title shows katello

| think we should make it consistent across all product components.

Associated revisions

Revision 7667cfac - 06/03/2014 05:27 PM - Christine Fouant
Fixes #6049 - fixes issue with incorrect page titles, BZ 1099469

Revision 7c640f51 - 06/03/2014 09:27 PM - Christine Fouant
Fixes #6049 - fixes issue with incorrect page titles, BZ 1099469

Revision €91508dd - 06/05/2014 09:54 AM - Walden Raines
Merge pull request #4210 from cfouant/titles

Fixes #6049 - fixes issue with incorrect page titles, BZ 1099469
Revision f4188b7c - 06/05/2014 01:54 PM - Walden Raines
Merge pull request #4210 from cfouant/titles

Fixes #6049 - fixes issue with incorrect page titles, BZ 1099469

History

#1 - 06/05/2014 03:15 AM - Eric Helms
- Target version set to 45

- Triaged set to Yes

#2 - 06/05/2014 02:52 PM - Christine Fouant
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:7c640f51e76e5dbd30af615ca42116f81dd10fde.

#3 - 08/22/2014 08:29 AM - Eric Helms

- translation missing: en.field_release set to 13
